/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module ai/ui/aicommandslistview
 */
import { ListView, type FilteredView } from 'ckeditor5/src/ui.js';
import type { Locale } from 'ckeditor5/src/utils.js';
/**
 * A list view that displays a list of AI commands with filtering capabilities.
 *
 * @private
 */
export default class AICommandsListView extends ListView implements FilteredView {
    /**
     * An array with ids of the enabled AI commands.
     *
     * @observable
     */
    enabledCommandsIds: Array<string>;
    /**
     * Creates an instance of the {@link module:ai/ui/aicommandslistview~AICommandsListView} class.
     */
    constructor(locale: Locale);
    /**
     * @inheritDoc
     */
    filter(regExp: RegExp | null): {
        resultsCount: number;
        totalItemsCount: number;
    };
}
