/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */
/**
 * @module ai/ui/aiformerrorview
 */
import type { Locale } from 'ckeditor5/src/utils.js';
import { View } from 'ckeditor5/src/ui.js';
/**
 * A class representing the error view of the AI assistant.
 */
export default class AIFormErrorView extends View {
    /**
     * The text of the error.
     *
     * @observable
     */
    text: string;
    /**
     * Creates an instance of the {@link module:ai/ui/aiformerrorview~AIFormErrorView} class.
     *
     * @param locale The localization services instance.
     */
    constructor(locale: Locale, text?: string);
}
